# MatGetArrayF90

Accesses a matrix array from Fortran90.

### Synopsis

    MatGetArrayF90(Mat x,{Scalar, pointer :: xx_v(:)},integer ierr)

Not collective

### Input Parameter

x -matrix

### Output Parameters

| xx_v | - the Fortran90 pointer to the array
| ierr | - error code

### Example of Usage

          PetscScalar, pointer xx_v(:)
          ....
          call MatGetArrayF90(x,xx_v,ierr)
          a = xx_v(3)
          call MatRestoreArrayF90(x,xx_v,ierr)

### Notes

Not yet supported for all F90 compilers

### See Also

MatRestoreArrayF90(), MatGetArray(), MatRestoreArray()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages